### this is the analysis of one person's data

datafilename = "datafilename"

### read data into table

data         = read.table( datafilename )
correct      = data[,6]==1 # flag correct trial
n            = dim(data)[1]  # number of trials
cued         = data[,3] == "cued"
uncued       = data[,3] == "uncued"
rt           = data[,5]

### now report average response times in correct trials

print("Response speed in milliseconds")
print("Cued")
print( mean( rt[ cued & correct ] ))
print("Uncued")
print( mean( rt[ uncued & correct ] ))

### now report error rates

print("Error percentages in the two conditions")
print("Cued")
print( sum( cued & !correct ) / n * 100 )
print("Uncued")
print( sum( uncued & !correct ) / n * 100 )


